package cl.jtv;
/*
 * ResultadoEvaluacion.java
 *
 * Created on 22 de noviembre de 2002, 08:18 PM
 */

/**
 *
 * @author  Administrador
 * @version 
 */
import java.util.*; 


public class ResultadoEvaluacion {
    
    private boolean resultado;
    private boolean error;
    private String strError;
    private CondicionEnlace condicionEnlace;
    private Enlace enlace;
    public Hashtable metavaloresResultado;
    public DiccionarioMetavalores dicMetavalores; 

    /** Creates new ResultadoEvaluacion */
    public ResultadoEvaluacion(boolean newResultado,CondicionEnlace newCondicionEnlace) {
        resultado = newResultado;
        condicionEnlace = newCondicionEnlace;
        this.metavaloresResultado = new Hashtable();
        error = false;
    }

    /** Getter for property resultado.
     * @return Value of property resultado.
     */
    public boolean isResultado() {
        return resultado;
    }
    
    /** Setter for property resultado.
     * @param resultado New value of property resultado.
     */
    public void setResultado(boolean resultado) {
        this.resultado = resultado;
    }
  
    /** Getter for property condicionEnlace.
     * @return Value of property condicionEnlace.
     */
    public CondicionEnlace getCondicionEnlace() {
        return condicionEnlace;
    }    
    
    /** Setter for property condicionEnlace.
     * @param condicionEnlace New value of property condicionEnlace.
     */
    public void setCondicionEnlace(CondicionEnlace condicionEnlace) {
        this.condicionEnlace = condicionEnlace;
    }
    
    public String asignar(DiccionarioMetavalores newDicMetavalores) throws NonSetException{
        
        String out="";
        if(resultado){
            Enumeration en = this.metavaloresResultado.keys();
            while(en.hasMoreElements()){
                Integer indexCinta = (Integer) en.nextElement();
                Metavalor metavalor = (Metavalor)this.metavaloresResultado.get(indexCinta);
                out+=this.condicionEnlace.asignar(metavalor,indexCinta,newDicMetavalores);
            }   
        }
        this.dicMetavalores = newDicMetavalores;
        
        return out;
    }
    
    /** Getter for property enlace.
     * @return Value of property enlace.
     */
    public Enlace getEnlace() {
        return enlace;
    }
    
    /** Setter for property enlace.
     * @param enlace New value of property enlace.
     */
    public void setEnlace(Enlace enlace) {
        this.enlace = enlace;
    }
    
    /** Getter for property error.
     * @return Value of property error.
     */
    public boolean isError() {
        return error;
    }
    
    /** Setter for property error.
     * @param error New value of property error.
     */
    public void setError(boolean error) {
        this.error = error;
    }
    
    /** Getter for property strError.
     * @return Value of property strError.
     */
    public java.lang.String getStrError() {
        return strError;
    }
    
    /** Setter for property strError.
     * @param strError New value of property strError.
     */
    public void setStrError(java.lang.String strError) {
        this.strError = strError;
    }
    
    /*public String getResultadosMetavalores(){
        
        String out="";
        Enumeration en = this.metavaloresResultado.keys();
        while(en.hasMoreElements()){
            Integer indexCinta = (Integer) en.nextElement();
            Metavalor metavalor = (Metavalor)this.metavaloresResultado.get(indexCinta);
            out+=metavalor
        }         
    }*/
    
}
